@echo off

REM ##### 初期設定 #####
set APACHE_DIR=Apache2
set CONF_DIR=conf

REM ##### 引数取得 #####
set SUB_NO=%1
set SRC_DIR=%2
set INSTALL_DIR=%3
set CONF_1=%4
set CONF_2=%5

REM ##### 初期設定 #####
set APACHE_HOME=%INSTALL_DIR%\%APACHE_DIR%
if NOT "%APACHE_HOME:~-1%" == "\" (
	set APACHE_HOME=%APACHE_HOME%\
)
if NOT "%SRC_DIR:~-1%" == "\" (
	set SRC_DIR=%SRC_DIR%\
)

REM ##### インストール #####
mkdir %APACHE_HOME%%CONF_DIR%

REM sub番号により処理分岐
if "%SUB_NO%" == "1" (
	echo %CONF_1%を使用します。
	copy /b /y %SRC_DIR%%CONF_DIR%\%CONF_1% %APACHE_HOME%%CONF_DIR%\httpd.conf
	goto end
)
if "%SUB_NO%" == "2" (
	echo %CONF_2%を使用します。
	copy /b /y %SRC_DIR%%CONF_DIR%\%CONF_2% %APACHE_HOME%%CONF_DIR%\httpd.conf
	goto end
)
echo apache標準のhttpd.confを使用します。
: end
